Anessa was previously called Insurely. You may still see the Insurely name in parts of our documentation while we complete the transition.

Routes

Add collection supplemental information

POSThttps://api.insurely.com/collections/{collectionId}/supplement-info

Add supplemental information to a collection. See the extended section of SupplementInformation for what types of supplemental information that are supported.

Request

Path Parameters

collectionIdstring

Header Parameters

Insurely-Versionstring

Specifies the API version to use. Must match the version of the endpoint you are targeting.

Possible Enum values are 2026-04-01.

Request Body

typestring

Type of the supplemental information.

Possible Enum values are TWO_FACTOR_CODE, TWO_FACTOR_CHOICE, RESPONSE_OBJECT or COLLECTION_INPUT.
One of these types:

Properties below are from the TwoFactorCode subtype. View the full schema for full details.

typestring
Possible Enum values are TWO_FACTOR_CODE.
valuestring

Two factor code

Responses

Successfully added supplemental information.

cURL
curl https://api.insurely.com/collections/{collectionId}/supplement-info \
  -H "authorization-token: <authorization-token>" \
  -H "Content-Type: application/json" \
  -d '{
  "items": [
    {
      "type": "USERNAME",
      "value": "user@example.com"
    },
    {
      "type": "PASSWORD",
      "value": "53cr3t_P455W0Rd***"
    }
  ],
  "type": "COLLECTION_INPUT"
}' \
  -X POST